module Resque
  module Failure
    class Campfire < Base
      def save

        campfire = Tinder::Campfire.new(  Rails.configuration.smokesignal.domain, 
                                        :token  =>  Rails.configuration.smokesignal.token,
                                        :ssl    =>  true,
                                        :ssl_options => {:verify => Rails.configuration.smokesignal.ssl_verify ? Rails.configuration.smokesignal.ssl_verify : true })
        room = campfire.find_or_create_room_by_name(Rails.configuration.smokesignal.room)
        # todo work on body for paste
        room.paste  "smokesignal[#{Rails.env}] - queue: #{queue}\n" +
                    exception.message + "\n" +
                    exception.backtrace.join("\n")
      end
    end
  end
end